date: 2005-11-20 02:29:19
ispublic: 1
source: http://farm1.static.flickr.com/76/172273462_044dd1f42d_o.jpg
tags: people, me
title: St.Petersburg
url: http://www.flickr.com/photos/umonkey/172273462/
---
Me at Antonio's house.